using System.Runtime.InteropServices;
using Decal.Interop.Net;

namespace Decal.Interop.Filters;

[TypeLibType(TypeLibTypeFlags.FHidden)]
[ClassInterface(ClassInterfaceType.None)]
public sealed class IEchoSink_SinkHelper : IEchoSink
{
	public IEchoSink_EchoMessageEventHandler m_EchoMessageDelegate;

	public int m_dwCookie;

	public void EchoMessage(IMessage P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_EchoMessageDelegate != null)
		{
			m_EchoMessageDelegate(P_0);
		}
	}

	internal IEchoSink_SinkHelper()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		m_dwCookie = 0;
		m_EchoMessageDelegate = null;
	}
}
